CREATE TABLE composite_example
( range_key_column   date,
  hash_key_column    int,
  data               varchar2(20) 
)
PARTITION BY RANGE (range_key_column)
subpartition by hash(hash_key_column) subpartitions 2
(
PARTITION part_1 
     VALUES LESS THAN(to_date('01-jan-1995','dd-mon-yyyy'))
     (subpartition part_1_sub_1, 
      subpartition part_1_sub_2
     ),
PARTITION part_2 
    VALUES LESS THAN(to_date('01-jan-1996','dd-mon-yyyy'))
    (subpartition part_2_sub_1, 
     subpartition part_2_sub_2
    )
)
