select deptno, job, 
       max( decode( rn, 1, ename, null )) ename_1,
       max( decode( rn, 1, sal, null )) sal_1,
       max( decode( rn, 2, ename, null )) ename_2,
       max( decode( rn, 2, sal, null )) sal_2,
       max( decode( rn, 3, ename, null )) ename_3,
       max( decode( rn, 3, sal, null )) sal_3,
       max( decode( rn, 4, ename, null )) ename_4,
       max( decode( rn, 4, sal, null )) sal_4
  from (  select deptno, job, ename, sal,
                 row_number() over ( partition by deptno, job
                                         order by sal, ename ) rn
            from emp
           )
group by deptno, job