select r.name "Rollback Segment Name",
     --  p.spid "Process ID", 
       s.username "Oracle User Session",
       l.sid,
       sq.sql_text,
	sq.sharable_mem
  from v$sqlarea sq, v$lock l, v$process p, v$session s, v$rollname r
 where l.sid = p.pid(+)
   and s.sid = l.sid
   and trunc(l.id1(+) / 65536) = r.usn
   and l.type(+) = 'TX'
   and l.lmode(+) = 6
   and s.sql_address = sq.address
   and s.sql_hash_value   = sq.hash_value
 order by r.name