DECLARE
  MatchString varchar2(40);
  start_idx number;
  end_idx number;
BEGIN
  dbms_output.enable;
  dbms_output.put_line('gnu.regexp version: '|| RE.get_version);
  select RE.get_match('AAA bbb aaa', 'a+', RE.REG_ICASE) into MatchString from dual;
  dbms_output.put_line('SQL MatchString: '|| MatchString);
  dbms_output.put_line('PL/SQL MatchString: '|| RE.get_match('AAA bbb aaa', 'a+', RE.REG_ICASE, 1, start_idx, end_idx));
  dbms_output.put_line('Start: '|| to_char(start_idx));
  dbms_output.put_line('End: '|| to_char(end_idx));
  dbms_output.put_line('Replace: '|| RE.replace('AAA bbb aaa', 'a+', 'XXX', RE.REG_ICASE));
  dbms_output.put_line('Replace all: '|| RE.replace_all('AAA bbb aaa', 'a+', 'XXX', RE.REG_ICASE));
END;

