select customer_hierarchy.region, 
       time_hierarchy.yyyy,
       sum(sales.sales_amount) sales_amount
  from sales, time_hierarchy, customer_hierarchy
 where sales.trans_date = time_hierarchy.day
   and sales.cust_id = customer_hierarchy.cust_id
 group by customer_hierarchy.region, time_hierarchy.yyyy